Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000790Dwarf FortressDwarf Mode -- Jobs, Haulingpublic2010-04-08 06:112017-02-03 05:21
ReporterRochndil 
Assigned ToFootkerchief 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSXPOS VersionSP3
Product Version0.31.01 
Target VersionFixed in Version 
Summary0000790: Pet corpses never get buried
DescriptionPet corpses never buried, coffins available and ready.
Invader corpses never hauled to body parts stockpile, no goblin bone bolts! :/
Tagsdeath, organize training, pet, remains, rot
Attached Files

- Relationships
related to 0001275confirmedFootkerchief Dwarves refuse to butcher tame animals unless they're directly slaughtered 
has duplicate 0002666resolvedFootkerchief Animals aren't brought to the grave 
has duplicate 0004206resolvedDwarfu Work animals don't get buried and cause negative thoughts 
has duplicate 0004110resolvedFootkerchief Pets and trained animals that die of old age are not buried 
has duplicate 0004737resolvedFootkerchief Dwarves ignore rotting dog corpse 
has duplicate 0008020resolvedFootkerchief Dwarves fail to bury pets 

-  Notes
(0002011)
MSeven (reporter)
2010-04-08 06:47

Duplicate of 0000022 ?
(0002020)
Dwarfu (manager)
2010-04-08 07:17

Are your invader corpses outside? If so, you need to turn on the [o]rder, [r]efuse option to gather refuse from outside.

Are your coffins built? Is the option to allow pets selected?
(0002081)
DoctorZuber (reporter)
2010-04-08 10:24

burial of pets is never mentioned in 0000022, might be different. not much information to go on though. I'll see if Dwarfu's suggestions resolve and close this before looking any closer.
(0002326)
Rochndil (reporter)
2010-04-09 08:29

This is a distinct issue from 22. I ALSO have that, but so, I believe, does everybody else.

In this case, I had already set up my coffins, built for burial, with pets allowed. A pet hunting dog was killed during a Goblin visit, and was dumped on my OUTSIDE refuse pile (which accepts corpses). It has remained there to this day. Invader and other corpses are also dumped there (appropriately), but after decay (presumably) to body parts (bones and skulls), they are NOT subsequently dragged to the INSIDE refuse pile (which accepts body parts). I just checked, and the outside pile does NOT allow body parts at all, so the decayed corpses should have been hauled inside.

All this would be a bit easier if "take from a pile" worked properly, but that'll come in time.
(0002409)
DoctorZuber (reporter)
2010-04-09 13:14

okay, now I'm a bit confused...

- you're trying to get the body of a pet into a coffin?
- you have two (or more) refuse stockpiles with different settings?
- did you enable hauling outdoor refuse with o-r-o ?

Try removing all stockpiles temporarily to see if this clears the problem.

You can always revert back to your save with one of the many well documented crash bugs to avoid having to recreate your stockpiles if this doesn't help.

If this does help, you've isolated this behavior to some problem with your stockpile configuration. still a pretty broad area, try to isolate it further if you can.
(0002438)
Rochndil (reporter)
2010-04-09 15:16

Yes, I always alter my orders upon starting a game, outdoor refuse is properly collected (otherwise, the dog corpse, which was killed OUTSIDE, would have been left as it lay).

I also tried removing the outside stockpile, which did absolutely nothing. I didn't try messing with the inside stockpiles, but I suppose I could try that as well.

Ultimately, this is NOT a stockpile issue. Named pet corpses should NOT be stockpiled unless the pile was a graveyard, and available pet-permitted coffins should trump that. I may also try to create a graveyard pile in my tomb room to see what happens.
(0002469)
Rochndil (reporter)
2010-04-09 17:13

OK, additional testing. Graveyard stockpile created in tomb room. Named pet dog corpse still left sitting outside. However, partial leg of injured dwarf IS carried inside, finally.

Dog corpse (and others) finally carried inside when a refuse stockpile permitting corpses is created and the existing stockpile is removed. This seems to indicate that corpses do not, as previously, decay into skulls and bones once they rot. This makes creating bolts from the bones of your fallen enemies difficult. :/
(0002482)
DoctorZuber (reporter)
2010-04-09 18:08

as I understand it you need to haul bodies or skeletons to the butcher to extract bones and other materials now. Which makes this a two step process so yes, that is a a bit harder.
(0002561)
Rochndil (reporter)
2010-04-10 06:33

You can't butcher a sentient corpse (just tested). So, at this point, there is no way to get bones from a complete (not dismembered) enemy corpse. It's possible this is intentional on Toady's part, but I suspect not.
(0003509)
Rafal99 (reporter)
2010-04-14 10:43

I have my refuse stockpile full of goblin skeletons, nothing to do with whem...
Also yeah pets and war dogs are never buried too.
(0004656)
Areyar (reporter)
2010-04-22 17:50

It would be neat if a skeleton just 'popped' into stacks of bones etc after decaying long enough. :)

I've observed the same issue for the dogs, it happens for unnamed puppies as well.
collect outside refuse is on. Dog was dumped in a refuse pile (outside), while there are a graveyard and pet accepting coffins available.
For an unnamed non-pet, so far this is normal behaviour.
Unfortunately the corpse will not accepted for butchering even after decomposing to a partial skeleton. Distance to center of butcher is 13 tiles.
(0006471)
Kumquat (reporter)
2010-05-09 12:42

I had an interesting observation. Pets that were killed by goblins were buried properly - I have a bunch of pets in my graveyard. However I had a case of poison-covered forgotten beast that left pools of deadly ichor all over the place (with the multiplying blood bug) and a few pets died from poisonous bleeding. Those were generally not buried, and their owners/ownees got serious bad thoughts for having to watch them rot.
(0009754)
Creidieki (reporter)
2010-07-07 17:27

The save at http://dffd.wimbli.com/file.php?id=2638 [^] has a pet-dog corpse which stays in the refuse stockpile forever. There are plenty of pet-enabled coffins available, plenty of people with burial enabled, no orders that should be preventing it, etc.

The refuse stockpile in question is one z-level up from the save cursor, to the west. It's got a lot of goblin and troll corpses in it, and the corpse of the dog As├źn Nilked.

Removing the graveyard and refuse stockpiles doesn't change anything (and I've had this problem in fortresses both with and without graveyard stockpiles).

This fortress has definitely had some pets buried correctly. I don't know whether Kumquat's reasoning is what's happening here.
(0011455)
Beeskee (reporter)
2010-08-03 12:09

I seem to be experiencing this too. http://www.bay12forums.com/smf/index.php?topic=63097.0 [^]

An owned animal dies of old age and is never buried.
(0012384)
Beeskee (reporter)
2010-09-03 10:34
edited on: 2010-09-03 10:40

Still having this issue in .12. 3 cats died of old age, one was buried, the other two went to a refuse stockpile.

Can't connect to DFFD currently to upload a save. :(

Edit: DFFD waited until I posted the report to start working again: http://dffd.wimbli.com/file.php?id=3051 [^]

(0012545)
Beeskee (reporter)
2010-09-09 09:33
edited on: 2010-09-09 11:08

The unburied ones never seem to rot from corpses into skeletons.


Edit: If left outside they decay away completely, like vermin.

(0012551)
kwieland (reporter)
2010-09-09 12:27

I also have this bug. I have a large burial chamber with several pets in it. But, the last two pets never get buried. They just sit around and rot, right outside my fortress. How long did yours take to decay away to nothing?

The only thing different in my case was I turned off collecting refuse from outside and turned on forbid on death of everything when the last two were killed. Then, when I unforbade them, nothing happened. I would expect dwarfs to then go out and get the corpse to entomb them.

I wonder if the job creation to entomb them is somehow related to their death?
(0012553)
LoSboccacc (reporter)
2010-09-09 13:30

my coffins are working. can provide a save if needed to compare with the other here
(0013385)
troas (reporter)
2010-10-15 22:14

This continues to be a problem in .16 - pet hunting dogs that get killed by alligators are not being buried even though coffins are available and flagged to allow pets. The hunter then gets the "suffered the decay of a pet" unhappy thought.
(0016781)
kwieland (reporter)
2011-03-29 21:18
edited on: 2011-04-03 07:36

I've also recently noticed this. Pet was killed by goblins. Didn't get entombed. (EDIT: I don't know about bad thoughts since I atom smashed the corpse). Several coffins available with (Y)es for pets. Not in a graveyard zone, though. Does that matter?

(0018178)
Beeskee (reporter)
2011-07-09 10:17
edited on: 2011-07-09 15:11

Still happening in .25.

Some pets that died of old age in my current fort, genned under .25, don't get buried.

I have coffins set to allow pets, and refuse is allowed to be gathered from outside.

Here's a save: http://dffd.wimbli.com/file.php?id=4648 [^]
Play until Spring 141 and some owned pets will die.

(0018241)
theothersteve7 (reporter)
2011-07-15 06:47

It's definitely intermittent. I wonder if this is related to the bug where owned food dropped on the floor is never picked up and starts rotting?
(0020713)
Rochndil (reporter)
2012-02-26 06:19
edited on: 2012-03-08 11:47

This MAY have been fixed in .34, I haven't seen it happen in any of my .34-01 or .34-02 games so far.

UPDATE: This issue is STILL active in .34-05. I just had a trained war dog killed by a kobold thief, and the body was unceremoniously dumped in the refuse stockpile. Plenty of pet-enabled coffins exist, and there's no lack of haulers. In the same game an un-named water buffalo also died, but having HIS body lying in the stockpile makes at least a little sense.

(0022044)
thvaz (reporter)
2012-04-02 15:29
edited on: 2012-04-02 15:32

Trained war dogs are pets? It was assigned to someone? Maybe the pet coffins are reserved just for those pets who were adopted by dwarves?

(0022048)
kwieland (reporter)
2012-04-03 04:58

Just need three words: Catsplosion and goblins!
(0029581)
thraxarious (reporter)
2014-08-24 12:06
edited on: 2014-08-24 12:12

I have had this happen in my fortress. a stray dog and a couple captured animals (kea) died of starvation inside my fortress during an extended siege. Corpses stayed inside the fort when re-opened, never taken outside or dealt with.

Same thing with animals from an earlier failed expedition, the skeletons stay put and are never placed in any stockpiles.

Can't seem to get them to be "dumped" into the garbage dump either.

(0034576)
Rochndil (reporter)
2016-01-31 06:58

This issue seems to be resolved in 42.05. I haven't gone back to see where exactly it got fixed, but I don't suppose that matters. Since I can't do it myself, could someone mark it closed? Thanks!

In my current fort, both regular pets AND war-trained dogs (who both died heroically defending the delve) got properly buried in coffins.
(0036232)
FantasticDorf (reporter)
2017-01-28 01:35

I can confirm Rochndil is correct, this issue is solved by the presence of 0001275 making people unable to butcher pets because they are being correctly queued up to be buried using the value dead_dwarf=true.

As intended, pets will not enter refuse stockpiles & instead stay within 'corpses' (formerly graveyard) stockpiles when they die naturally. Pet coffins (and place at the graveyard stockpile) are reserved for creatures that haven't been slaughtered and have died in combat/naturally.
(0036254)
Loci (manager)
2017-02-03 05:21

Thanks for the update!

- Issue History
Date Modified Username Field Change
2010-04-08 06:11 Rochndil New Issue
2010-04-08 06:27 MSeven Tag Attached: death
2010-04-08 06:27 MSeven Tag Attached: pet
2010-04-08 06:27 MSeven Tag Attached: remains
2010-04-08 06:27 MSeven Tag Attached: rot
2010-04-08 06:47 MSeven Tag Attached: Duplicate
2010-04-08 06:47 MSeven Note Added: 0002011
2010-04-08 07:12 Jimmy Issue Monitored: Jimmy
2010-04-08 07:14 Jimmy Issue End Monitor: Jimmy
2010-04-08 07:17 Dwarfu Note Added: 0002020
2010-04-08 10:05 Footkerchief Issue Monitored: Footkerchief
2010-04-08 10:24 DoctorZuber Note Added: 0002081
2010-04-09 08:29 Rochndil Note Added: 0002326
2010-04-09 13:14 DoctorZuber Note Added: 0002409
2010-04-09 13:24 Dwarfu Issue Monitored: Dwarfu
2010-04-09 15:16 Rochndil Note Added: 0002438
2010-04-09 17:13 Rochndil Note Added: 0002469
2010-04-09 18:08 DoctorZuber Note Added: 0002482
2010-04-10 06:33 Rochndil Note Added: 0002561
2010-04-10 11:04 Footkerchief Tag Detached: Duplicate
2010-04-14 10:43 Rafal99 Note Added: 0003509
2010-04-14 10:43 Rafal99 Issue Monitored: Rafal99
2010-04-22 17:50 Areyar Note Added: 0004656
2010-04-26 17:57 Footkerchief Summary Corpse issues => Pet corpses never get buried
2010-05-09 12:42 Kumquat Note Added: 0006471
2010-06-02 09:48 Dwarfu Issue End Monitor: Dwarfu
2010-06-20 14:31 Totaku Tag Attached: organize training
2010-07-07 17:27 Creidieki Note Added: 0009754
2010-07-12 20:53 Footkerchief Relationship added has duplicate 0002666
2010-08-03 12:07 Beeskee Issue Monitored: Beeskee
2010-08-03 12:09 Beeskee Note Added: 0011455
2010-09-03 10:34 Beeskee Note Added: 0012384
2010-09-03 10:40 Beeskee Note Edited: 0012384 View Revisions
2010-09-09 09:33 Beeskee Note Added: 0012545
2010-09-09 11:08 Beeskee Note Edited: 0012545 View Revisions
2010-09-09 12:27 kwieland Note Added: 0012551
2010-09-09 12:27 kwieland Issue Monitored: kwieland
2010-09-09 13:30 LoSboccacc Note Added: 0012553
2010-09-09 13:30 LoSboccacc Issue Monitored: LoSboccacc
2010-10-15 22:14 troas Note Added: 0013385
2011-03-13 05:27 Dwarfu Relationship added has duplicate 0004206
2011-03-27 15:44 LoSboccacc Issue End Monitor: LoSboccacc
2011-03-29 21:18 kwieland Note Added: 0016781
2011-04-03 07:36 kwieland Note Edited: 0016781 View Revisions
2011-07-09 10:17 Beeskee Note Added: 0018178
2011-07-09 10:20 Beeskee Note Edited: 0018178 View Revisions
2011-07-09 10:21 Beeskee Note Edited: 0018178 View Revisions
2011-07-09 15:11 Beeskee Note Edited: 0018178 View Revisions
2011-07-15 06:47 theothersteve7 Note Added: 0018241
2011-07-28 10:09 Footkerchief Relationship added has duplicate 0004110
2011-07-28 10:09 Footkerchief Relationship added related to 0001275
2011-07-28 10:10 Footkerchief Relationship added has duplicate 0004737
2012-02-26 06:19 Rochndil Note Added: 0020713
2012-02-27 12:08 Rochndil Note Edited: 0020713 View Revisions
2012-03-08 11:47 Rochndil Note Edited: 0020713 View Revisions
2012-04-02 15:29 thvaz Note Added: 0022044
2012-04-02 15:32 thvaz Note Edited: 0022044 View Revisions
2012-04-02 18:57 zombiejustice Issue Monitored: zombiejustice
2012-04-03 04:58 kwieland Note Added: 0022048
2014-08-15 06:38 Footkerchief Relationship added has duplicate 0008020
2014-08-15 06:39 Footkerchief Assigned To => Footkerchief
2014-08-15 06:39 Footkerchief Status new => confirmed
2014-08-24 12:06 thraxarious Note Added: 0029581
2014-08-24 12:12 thraxarious Note Edited: 0029581 View Revisions
2016-01-31 06:58 Rochndil Note Added: 0034576
2017-01-28 01:35 FantasticDorf Note Added: 0036232
2017-02-03 05:21 Loci Note Added: 0036254
2017-02-03 05:21 Loci Status confirmed => resolved
2017-02-03 05:21 Loci Resolution open => fixed
2017-08-09 14:01 Rafal99 Issue End Monitor: Rafal99


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker